## selenium-webdriver-at-spi 0.0.1+p24.04+vrelease+git20250901.0549

=== debian/changelog ===
selenium-webdriver-at-spi (0.0.1+p24.04+vrelease+git20250901.0549-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 05:49:24 +0000

selenium-webdriver-at-spi (0.0.1) jammy; urgency=medium

  * Initial packaging. 

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 06 Jan 2024 20:05:13 +1000
