## selenium-webdriver-at-spi 0.0.1+p24.04+vrelease+git20250901.0644

=== debian/changelog ===
selenium-webdriver-at-spi (0.0.1+p24.04+vrelease+git20250901.0644-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 06:44:04 +0000
