## selenium-webdriver-at-spi 0.0.1+p24.04+vrelease+git20251028.0251

=== debian/changelog ===
selenium-webdriver-at-spi (0.0.1+p24.04+vrelease+git20251028.0251-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 02:51:37 +0000
