## selenium-webdriver-at-spi 0.0.1+p24.04+vrelease+git20251213.0051

=== debian/changelog ===
selenium-webdriver-at-spi (0.0.1+p24.04+vrelease+git20251213.0051-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 13 Dec 2025 00:51:25 +0000
