## selenium-webdriver-at-spi 0.0.1+p24.04+vrelease+git20260116.0130

=== debian/changelog ===
selenium-webdriver-at-spi (0.0.1+p24.04+vrelease+git20260116.0130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 01:30:54 +0000
