=== debian/changelog ===
selenium-webdriver-at-spi (0.0.1+p24.04+vstable+git20250822.0842-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 22 Aug 2025 08:42:02 +0000
