=== debian/control ===
Source: selenium-webdriver-at-spi
Section: libs
Priority: optional
Build-Depends: at-spi2-core,
               cmake,
               debhelper-compat (= 13),
               dh-python,
               dh-virtualenv,
               gir1.2-atk-1.0,
               gir1.2-gdkpixbuf-2.0,
               gir1.2-girepository-2.0-dev,
               gir1.2-glib-2.0,
               gir1.2-gtk-3.0,
               git,
               gobject-introspection,
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kwindowsystem-dev,
               kwayland-dev,
               libcairo2-dev,
               libgirepository-2.0-dev,
               libkpipewire-dev,
               libpipewire-0.3-dev,
               pkg-kde-tools-neon,
               plasma-wayland-protocols,
               python3-all-dev,
               python3-pyatspi,
               python3-virtualenv,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/sdk/selenium-webdriver-at-spi
Vcs-Git: https://invent.kde.org/neon/neon-packaging/selenium-webdriver-at-spi.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/selenium-webdriver-at-spi
Maintainer: Neon CI <neon@kde.org>

Package: selenium-webdriver-at-spi
Section: libdevel
Architecture: any
Depends: at-spi2-core,
         gir1.2-atk-1.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-girepository-2.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         git,
         gobject-introspection,
         kf6-kcoreaddons,
         kf6-kwindowsystem,
         kwayland6,
         kwin-selenium-tester,
         libcairo2,
         libgirepository-2.0-0,
         libkpipewire6,
         plasma-wayland-protocols,
         python3-numpy,
         python3-pyatspi,
         python3-virtualenv,
         qt6-base,
         ${misc:Depends}
Recommends: accessibility-inspector
Description: WebDriver for Appium  using the Linux accessibility  API
 Selenium-webdriver-at-spi is a WebDriver for Appium (based on Selenium)
 using the Linux accessibility API AT-SPI2.
 .
 It effectively enables us to write selenium-style UI tests that behind
 the scenes manipulate the UI through the accessibility API. This allows
 better blackbox testing than what QTest and other unit test frameworks
 provide, while also not relying on pixmap comparision like openqa.
