## selenium-webdriver-at-spi 0.0.1+p24.04+vstable+git20251028.1014

=== debian/changelog ===
selenium-webdriver-at-spi (0.0.1+p24.04+vstable+git20251028.1014-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:14:48 +0000
