## selenium-webdriver-at-spi 0.0.1+p24.04+vstable+git20251109.0218

=== debian/changelog ===
selenium-webdriver-at-spi (0.0.1+p24.04+vstable+git20251109.0218-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 09 Nov 2025 02:18:07 +0000
