## selenium-webdriver-at-spi 0.0.1+p24.04+vstable+git20251213.0037

=== debian/changelog ===
selenium-webdriver-at-spi (0.0.1+p24.04+vstable+git20251213.0037-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 13 Dec 2025 00:37:21 +0000
