=== debian/changelog ===
selenium-webdriver-at-spi (0.0.1+p24.04+vstable+git20260116.0242-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 02:42:52 +0000
