## selenium-webdriver-at-spi 0.0.1+p24.04+vunstable+git20251028.0911

=== debian/changelog ===
selenium-webdriver-at-spi (0.0.1+p24.04+vunstable+git20251028.0911-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:11:12 +0000
