## selenium-webdriver-at-spi 0.0.1+p24.04+vunstable+git20260123.0300

=== debian/changelog ===
selenium-webdriver-at-spi (0.0.1+p24.04+vunstable+git20260123.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:00:41 +0000
